Riferimento API
Aggiorna un guardrail
Sostituisce i campi del guardrail forniti lasciando invariati i campi omessi.
Sostituisce i campi del guardrail forniti lasciando invariati i campi omessi.
Endpoint
- URL di base
https://runapi.ai- Versione API
v1- Autenticazione
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
Corpo JSONRichiesta
Invia i valori solo nella posizione di richiesta elencata.
Corpo JSON10 campi
allowed_modelsarray | null
Opzionale
Allowlist dei modelli sostitutiva.
allowed_providersarray | null
Opzionale
Allowlist del nome del provider sostitutiva.
blocked_modelsarray | null
Opzionale
Blocklist dei modelli sostitutiva.
blocked_providersarray | null
Opzionale
Blocklist del nome del provider sostitutiva.
credit_limit_centsinteger | null
Opzionale
Tetto di spesa totale in centesimi di USD.
credit_limit_reset_intervalstring | null
Opzionale
Cadenza di reset per il limite di spesa totale.
Valori consentiti:daily, weekly, monthly
descriptionstring
Opzionale
Descrizione in formato libero sostitutiva.
enabledboolean
Opzionale
Se il guardrail è applicato.
model_budgetsarray | null
Opzionale
Regole di budget per modello sostitutive.
namestring
Opzionale
Nome del guardrail sostitutivo.
Parametri del percorso1 campo
idstring
Obbligatorio
ID prefisso del Guardrail, ad esempio guardrail_abc123.
03
HTTP 200Risposta di successo
PATCH /api/v1/guardrails/:id
JSON
{
"allowed_models": [
"gpt-5.4"
],
"allowed_providers": [],
"assignment_count": 1,
"blocked_models": [],
"blocked_providers": [],
"created_at": "2026-07-27T10:00:00.000Z",
"credit_limit_cents": 50000,
"credit_limit_reset_interval": "monthly",
"description": "Production policy",
"enabled": false,
"id": "guardrail_123",
"model_budgets": [
{
"credit_limit_cents": 10000,
"credit_limit_reset_interval": "monthly",
"match_mode": "include",
"models": [
"gpt-5.4"
]
}
],
"name": "Production budget"
}
04
HTTP 401Risposta di errore (401)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Authentication required"
}
05
HTTP 403Risposta di errore (403)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Management API key required"
}
06
HTTP 403Risposta di errore (403)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Account admin required"
}
07
HTTP 400Risposta di errore (400)
Schema della risposta
JSON
{
"oneOf": [
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Riepilogo di convalida leggibile dall'utente.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Messaggi di convalida con chiave per campo della richiesta pubblica, con un array di stringhe leggibili dall'utente per ogni campo.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Esempio di risposta
JSON
{
"error": "page must be an integer"
}
08
HTTP 404Risposta di errore (404)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Resource not found"
}
09
HTTP 422Risposta di errore (422)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Riepilogo di convalida leggibile dall'utente.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Messaggi di convalida con chiave per campo della richiesta pubblica, con un array di stringhe leggibili dall'utente per ogni campo.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Validation failed",
"errors": {
"base": [
"Validation failed"
]
}
}
10
Esempio cURL
CURL
curl -X PATCH https://runapi.ai/api/v1/guardrails/guardrail_123 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"enabled":false}'